# -*- coding: utf-8 -*-
# @Time    : 2024/5/16
# @Author  : 魏志亮
from base.TranseParam import TranseParam
from base.WindFarms import WindFarms
from utils.log.trans_log import logger

wind = WindFarms('测试', 'ceshi', '123123', r'd://transdata_1')

try:
    param = TranseParam(read_type='min', read_path=r'D:\transdata\huachuang\min', read_cols=['风机编号', '时间', '风机主状态',
                                                                                             '发电机转速', '发电机转速限定值',
                                                                                             '变桨速度给定值',
                                                                                             '桨叶角度给定值', '桨叶1电机位置',
                                                                                             '桨叶2电机位置', '桨叶3电机位置'],
                        cols_tran={},
                        time_col='时间', wind_col='风机编号')

    wind.set_trans_param(param)

    wind.run()
except Exception as e:
    logger.exception(e)

try:
    param = TranseParam(read_type='sec', read_path=r'D:\transdata\zhaoyuan\sec', read_cols=['风机编号', '时间', '风机主状态',
                                                                                            '发电机转速', '发电机转速限定值',
                                                                                            '变桨速度给定值',
                                                                                            '桨叶角度给定值', '桨叶1电机位置',
                                                                                            '桨叶2电机位置', '桨叶3电机位置'],
                        cols_tran={},
                        time_col='时间', wind_col='风机编号')

    wind.set_trans_param(param)
    wind.run()
except Exception as e:
    logger.exception(e)