# -*- coding: utf-8 -*-
# @Time    : 2024/5/15
# @Author  : 魏志亮
import datetime
import os
import sys

# path = os.path.abspath(__file__)
# for i in range(3):
#     path = os.path.dirname(path)
sys.path.append("/home/wzl/project/energy-data-trans")
print('\n'.join(sys.path))

from base.WindFarms import WindFarms
from base.TranseParam import TranseParam
from utils.conf.read_conf import read_yaml_file

if __name__ == '__main__':
    batch_no = datetime.datetime.now().strftime("%Y%m%d%H%M%S")
    name = '招远'
    type = 'sec'

    yaml_datas = read_yaml_file(name, type)

    cols_trans_all = yaml_datas['trans_col']
    read_cols = [k for k, v in cols_trans_all.items() if k]

    zhaoyuan = WindFarms(name, batch_no=batch_no, save_path=r"/home/wzl/trans_data")

    params = TranseParam(read_type="sec", read_path=r"/home/wzl/test_data/zhaoyuan/sec",
                         read_cols=read_cols,
                         cols_tran=cols_trans_all)

    zhaoyuan.set_trans_param(params)
    files = zhaoyuan.run()
