# -*- coding: utf-8 -*-
# @Time    : 2024/5/17
# @Author  : 魏志亮
import os.path
from pprint import pprint

import yaml


def read_yaml_file(filename, type):
    path = os.path.abspath(__file__)
    for i in range(3):
        path = os.path.dirname(path)
    with open(path + os.sep + "config_files" + os.sep + filename + os.sep + type + ".yaml", 'r', encoding='utf-8') as f:
        return yaml.safe_load(f)


if __name__ == '__main__':
    data = read_yaml_file("招远", "sec")
    ss_str = """
    时间戳,有功功率,风轮转速,发电机转速,风速,风速1,风速2,风速3,风速4,风速5,风速6,风速7,桨距角1,桨距角2,桨距角3,桨距角4,桨距角5,桨距角6,桨距角7,机舱位置,绝对风向,对风角度,风向10s,风向30s,风向标1风向,风向标2风向,环 境温度,有功功率设定值,齿轮箱油温,主轴承轴承温度1,主轴承轴承温度2,齿轮箱高速轴轴承温度1,齿轮箱高速轴轴承温度2,发电机驱动端轴承温度,发电机非驱动端轴承温度,发电机绕组1温度,风机状态1,机舱内温度,湍流强度,扭缆角度, 机舱前后振动,机舱左右振动,实际力矩,给定力矩,顺时针偏航次数,逆时针偏航次数,不可利用,功率曲线可用,齿轮箱转速,变频器转速(主控),年,月,日,风机编号
    """

    ss_datas = [str(i).strip() for i in ss_str.split(",") if i]

    exist_datas = [i for i in data['trans_col'].values() if i]

    print(set(exist_datas) - set(ss_datas))

    pprint(data)
